[pve-devel] pve-kernel-2.6.32 :(squeeze-proxmox2): broadcom bnx2 firmware load error

Alexandre DERUMIER aderumier at odiso.com
Thu Aug 25 08:58:05 CEST 2011


I have the same md5sum as you.

i had also check debian wheezy package and fedora package, firmware md5sum are same.


in the redhat bugzilla report, I found this :


"
This issue is still persistent in kernel version: 2.6.32-131.2.1.el6

I have the updated kernel-firmware package installed also.

The only way i've found to get around the issue is compiling bnx2 from
Broadcom's source rpm.


With the most recent kernel update the bnx2x_compat.h has incompatible
definitions with the broadcom source.  We had to form a patch to compile the
drivers properly to get up and running.

I've tried this with and without port bonding with the same result.

The errors thrown during bootup are:
bnx2: Can't load firmware file "bnx2/bnx2-mips-06-6.2.1.fw"
bnx2 0000:05:00.0 : PCI INT A disabled
bnx2 probe of 0000:09:00.0 failed with error -2
bnx2 0000:09:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
bnx2 0000:09:00.0: firmware: requesting bnx2/bnx2-mips-06-6.2.1.fw

Once the drivers are conpiled from source things work properly.
"


I'll try to build the bnx2 driver from source ...



----- Mail original ----- 

De: "Dietmar Maurer" <dietmar at proxmox.com> 
À: "Alexandre DERUMIER" <aderumier at odiso.com>, pve-devel at pve.proxmox.com 
Envoyé: Jeudi 25 Août 2011 08:30:14 
Objet: RE: [pve-devel] pve-kernel-2.6.32 :(squeeze-proxmox2): broadcom bnx2 firmware load error 

> bnx2: Broadcom NetXtreme II Gigabit Ethernet Driver bnx2 v2.1.6 (Mar 7, 2011) 
> bnx2 0000:05:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16 
> bnx2 0000:05:00.0: firmware: requesting bnx2/bnx2-mips-06-6.2.1.fw 
> bnx2: Can't load firmware file "bnx2/bnx2-mips-06-6.2.1.fw" 
> 
> 
> firmware is correctly installed 
> 
> kvmtest:~# stat /lib/firmware/bnx2/bnx2-mips-06-6.2.1.fw 
> File: `/lib/firmware/bnx2/bnx2-mips-06-6.2.1.fw' 
> Size: 92792 Blocks: 192 IO Block: 4096 regular file 
> Device: fd00h/64768d Inode: 2335586 Links: 1 
> Access: (0644/-rw-r--r--) Uid: ( 0/ root) Gid: ( 0/ root) 
> Access: 2011-08-25 07:03:26.000000000 +0200 
> Modify: 2011-08-25 05:58:57.000000000 +0200 
> Change: 2011-08-25 07:03:27.000000000 +0200 
> 
> 
> 
> same kernel works fine on lenny (but load an another firmware) 
> 
> 
> I see a similar bugreport on redhat bugzilla 
> 
> https://bugzilla.redhat.com/show_bug.cgi?format=multiple&id=678429 
> 

Strange. Maybe the firmware blob is damaged somehow (try to get the original file form the verndor site): 

I have: 

md5sum /lib/firmware/bnx2/bnx2-mips-06-6.2.1.fw 
9c7e3239decffc8d1a3cc515a6ccc4e8 /lib/firmware/bnx2/bnx2-mips-06-6.2.1.fw 

Is that the same file distributed by the vendor? 

> I'll try to investigated a little more 

Thanks 

- Dietmar 




-- 

-- 




	
	Alexandre Derumier 
Ingénieur système 
e-mail : aderumier at odiso.com 
Tél : +33 (0)3 20 68 88 90 
Fax : +33 (0)3 20 68 90 81 
45 Bvd du Général Leclerc 
59100 ROUBAIX - FRANCE 













-------------- next part --------------
A non-text attachment was scrubbed...
Name: aderumier.vcf
Type: text/x-vcard
Size: 183 bytes
Desc: not available
URL: <http://pve.proxmox.com/cgi-bin/mailman/private/pve-devel/attachments/20110825/183195c0/attachment.vcf>


More information about the pve-devel mailing list